<script setup lang="ts">
const { g } = useContentInjected()
const isMenuOpen = useMobileMenuOpen()

function openMenu() {
  isMenuOpen.value = true
}

const props = defineProps<{
  class?: string
  ux?: any
}>()

const classes = useStyling('scaffoldMobileMenuOpenButton', undefined, props)
</script>

<template>
  <XScaffoldIconButton
    :class="classes.base"
    :icon="g.scaffold.mobile.open.icon"
    @click="openMenu"
  />
</template>
